package request

type AddHostManageReq struct {
	HostName       string           `json:"hostName" binding:"required"` // 主机分组名称
	HostFileUrl    string           `json:"hostFileUrl"`                 // 主机文件url
	HostManageList []HostManageList `json:"hostManageList"`              //主机列表
}

type HostManageList struct {
	Ip          string `json:"ip"`          // ip
	Port        string `json:"port"`        // 端口
	VoucherType int    `json:"voucherType"` // 凭证类型（0密码验证 1密钥验证）
	UserName    string `json:"userName"`    // 用户名
	Password    string `json:"password"`    // 密码
	IpGroup     int    `json:"ipGroup"`     // ip分组
}

type EditHostManageReq struct {
	Id             int              `json:"id" binding:"required"` // 主键ID
	HostFileUrl    string           `json:"hostFileUrl"`           // 主机文件url
	HostManageList []HostManageList `json:"hostManageList"`        //主机列表
}

type DelHostManageReq struct {
	Id []int `json:"id" vd:"len($)>0;msg:'请输入id'"` // 主键ID
}

type ListHostManageReq struct {
	Search         string `json:"search"`         //关键词
	CreateDateFrom string `json:"createDateFrom"` //创建时间从
	CreateDateTo   string `json:"createDateTo"`   //创建时间至
	Pagination
}

// StateHostManageReq 状态检测
type StateHostManageReq struct {
	DetectionType int `json:"detectionType" form:"detectionType" binding:"oneof=1 2 3"` //1主页列表手动检测 2输入ip列表保存时检测 3上传ip列表文件保存时检测
	Id            int `json:"id" form:"id"`                                             //主机分组ID
	//HostFile       string `form:"hostFile"`      // 主机文件
	HostManageList string `json:"hostManageList" form:"hostManageList"` //主机ip列表
}

// HostIpExceptionListReq 异常列表
type HostIpExceptionListReq struct {
	DetectionType int    `json:"detectionType" binding:"oneof=1 2"` //1主页异常ip列表 2保存检测时异常列表
	Id            int    `json:"id"`                                //主机分组ID
	Uuid          string `json:"uuid"`                              //临时缓存uuid
	Pagination
}
